Subject: Re: bug#79159: [PATCH] Do not display in the tab line tabs that are excluded.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2025 09:01:22 +0300

> From: "Elijah G." <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 06 Aug 2025 22:19:57 -0600
> 
> Juri Linkov <[email-masked]> writes:
> 
> > So tab-line.el should follow the logic of window.el
> > and omit excluded buffers as well.
> 
> Yes, I've noticed this "bug", i have many buffers excluded, and when (for
> some reason) they appear in my tab line (or I accidentally switch to
> them), they are going to end up flooding my tab line, and it will be
> hard to switch buffers via "C-x <left>|<right>".
> 
> But i agree this should be an option, maybe disabled by default, since
> it seems that no one had reported this as a bug before.

If Juri thinks the above is a bug that your changes fix, there should
not be a user option that reveals the bug.  (I apologize for urging
you to add an option, because I didn't know Juri will consider the
current behavior a bug whose fix is not to show the buffers in
tab-line.)

Thanks.